October 28, 2020

Out Here In The Fields

…of musings and ramblings

PHP 5.3 & MySQL 5.1 for RHEL 4.x

1 min read

For those who are still using RHEL 4.x and in need of deploying PHP 5.3 & MySQL 5.1 , you can get the required rpm packages from here. You can add the repo and update php and MySQL packages via yum, or download and install manually. I think the bare minimum will require these packages :

PHP

  • php-cli-5.3.1-1.el4.remi
  • php-5.3.1-1.el4.remi
  • php-common-5.3.1-1.el4.remi
  • php-mysql-5.3.1-1.el4.remi
  • php-pdo-5.3.1-1.el4.remi

MySQL

  • mysqlclient15-5.0.67-1.el4.remi
  • mysql-server-5.1.42-1.el4.remi
  • mysqlclient14-4.1.22-1.el4.remi
  • mysql-libs-5.1.42-1.el4.remi
  • mysql-5.1.42-1.el4.remi

Also you might need the packages that I listed below for php 5.3 & MySQL 5.1 to install correctly. Some of them are not available at Remi’s repo, so I upload them to my dropbox account in case somebody need them :

Of course I think this will void your service warranty with Red Hat πŸ˜€ This is tested on RHEL 4.7

2 thoughts on “PHP 5.3 & MySQL 5.1 for RHEL 4.x

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Copyright © All rights reserved. | Newsphere by AF themes.